Bug 1251476 - [QA](6.4.z) LdapExtLikeAdvancedLdapLMTestCase and LdapExtLoginModuleTestCase fails intermittently
[QA](6.4.z) LdapExtLikeAdvancedLdapLMTestCase and LdapExtLoginModuleTestCase ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.4.3
Unspecified Unspecified
unspecified Severity low
: CR1
: EAP 6.4.12
Assigned To: Ryan Emerson
Marek Kopecky
eap6412-proposed
:
Depends On:
Blocks: eap6412-payload
  Show dependency treegraph
 
Reported: 2015-08-07 08:16 EDT by Marek Kopecky
Modified: 2017-01-17 08:15 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 08:13:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Kopecky 2015-08-07 08:16:55 EDT
Description of problem:
org.jboss.as.test.integration.security.loginmodules.LdapExtLikeAdvancedLdapLMTestCase#test6
  - Unexpected status code returned after the authentication. expected:<200> but was:<401>
  - java.lang.AssertionError: Unexpected status code returned after the authentication. expected:<200> but was:<401>
	at org.junit.Assert.fail(Assert.java:88)
	at org.junit.Assert.failNotEquals(Assert.java:743)
	at org.junit.Assert.assertEquals(Assert.java:118)
	at org.junit.Assert.assertEquals(Assert.java:555)
	at org.jboss.as.test.integration.security.common.Utils.makeCallWithBasicAuthn(Utils.java:461)
	at org.jboss.as.test.integration.security.loginmodules.LdapExtLikeAdvancedLdapLMTestCase.testDeployment(LdapExtLikeAdvancedLdapLMTestCase.java:277)
	at org.jboss.as.test.integration.security.loginmodules.LdapExtLikeAdvancedLdapLMTestCase.test6(LdapExtLikeAdvancedLdapLMTestCase.java:265)



org.jboss.as.test.integration.security.loginmodules.LdapExtLoginModuleTestCase#test6
  - Unexpected status code returned after the authentication. expected:<200> but was:<401>
  - java.lang.AssertionError: Unexpected status code returned after the authentication. expected:<200> but was:<401>
	at org.junit.Assert.fail(Assert.java:88)
	at org.junit.Assert.failNotEquals(Assert.java:743)
	at org.junit.Assert.assertEquals(Assert.java:118)
	at org.junit.Assert.assertEquals(Assert.java:555)
	at org.jboss.as.test.integration.security.common.Utils.makeCallWithBasicAuthn(Utils.java:461)
	at org.jboss.as.test.integration.security.loginmodules.LdapExtLoginModuleTestCase.testDeployment(LdapExtLoginModuleTestCase.java:271)
	at org.jboss.as.test.integration.security.loginmodules.LdapExtLoginModuleTestCase.test6(LdapExtLoginModuleTestCase.java:259)



Version-Release number of selected component (if applicable):
6.4.3.CP.CR2

How reproducible:
   intermittently on Solaris 11 SPARC

Steps to Reproduce:
1. ./integration-tests.sh -Dts.noSmoke -Dts.basic -Dtest=LdapExtLoginModuleTestCase,LdapExtLikeAdvancedLdapLMTestCase  -Dnode0=$MYTESTIP_1 -Dnode1=$MYTESTIP_2

Expected results:
   No error in tests
Comment 10 Mike McCune 2016-03-28 19:25:37 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 12 Peter Mackay 2016-11-16 04:24:12 EST
Verified with EAP 6.4.12.CP.CR1
Comment 13 Petr Penicka 2017-01-17 08:13:20 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.
Comment 14 Petr Penicka 2017-01-17 08:15:42 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.